Skip to main content
POST
Execute an email account selection intent
Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

intentId
string
required

Body

application/json
providers
object[]
required

The email providers to open an email account task on — start from proposedProviders of getEmailAccountSelectionIntent, then drop, add or adjust. An empty list opens none and completes the task.

scheduleDate
string<date-time> | null

Creates each email account task SCHEDULED until this date when it is in the future; without it they start now.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

default - application/json
outcome
enum<string>
required

ALREADY_EXECUTED: the selection was validated earlier — no email account task was opened again

Available options:
EXECUTED,
ALREADY_EXECUTED
intent
object
required